# Read the documentation: https://symfony.com/doc/master/bundles/FOSRestBundle/index.html
fos_rest:
  param_fetcher_listener:  true
  routing_loader:
    default_format: json
    include_format: false
  view:
    view_response_listener: 'force'
    failed_validation: HTTP_BAD_REQUEST
  body_converter:
    enabled: true
    validate: true
    validation_errors_argument: validationErrors
  format_listener:
    rules:
      - { path: ^/api/docs, prefer_extension: false, fallback_format: json, priorities: [ html ] }
      - { path: ^/account-validation, prefer_extension: false, fallback_format: json, priorities: [ html ] }
      - { path: ^/reset-password, prefer_extension: false, fallback_format: json, priorities: [ html ]}
      - { path: ^/payment, prefer_extension: false, fallback_format: json, priorities: [ html ]}
      - { path: ^/api/checkout, prefer_extension: false, fallback_format: json, priorities: [ html ]}
      - { path: ^/, prefer_extension: false, fallback_format: json, priorities: [ json ] }
